Bug 961273 - Unable to connect host to domain controller
Unable to connect host to domain controller
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity urgent
: ER8
: EAP 6.1.0
Assigned To: Tomaz Cerar
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 06:10 EDT by Petr Kremensky
Modified: 2013-07-23 14:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-05-09 06:10:33 EDT
During our acceptance testing we found regression, which causes that slave is unable to connect to domain controller, so our customers won't be able to use domain mode in their production environment.

This issue may be related to fix made in BZ960292 (https://github.com/ctomc/wildfly/commit/2848cbe8aeda8290d07dc8cca611bc20afb8b1f5), because I am able to connect slave once I use jboss-as-controller-7.2.0.Final-redhat-6.jar from ER6.

Reproduce on single node:
# go to folder with jboss-eap-6.1.0.ER7.zip
export IP=aaa.bbb.ccc.ddd // use IP address of your machine
unzip -q jboss-eap-6.1.0.ER7.zip
# start domain controller
./jboss-eap-6.1/bin/domain.sh --host-config=host-master.xml -b=$IP -bmanagement=$IP &
# start slave
./jboss-eap-6.1/bin/domain.sh --host-config=host-slave.xml -Djboss.domain.master.address=$IP

This is the output of slave:
=========================================================================

  JBoss Bootstrap Environment

  JBOSS_HOME: /home/pkremens/dummy/jboss-eap-6.1

  JAVA: /usr/java/jdk1.7.0_17/bin/java

  JAVA_OPTS: -Xms64m -Xmx512m -XX:MaxPermSize=256m -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=org.jboss.byteman -Djava.awt.headless=true

=========================================================================

09:51:44,047 INFO  [org.jboss.modules] (main) JBoss Modules version 1.2.0.Final-redhat-1
09:51:44,131 INFO  [org.jboss.as.process.Host Controller.status] (main) JBAS012017: Starting process 'Host Controller'
[Host Controller] 09:51:44,525 INFO  [org.jboss.modules] (main) JBoss Modules version 1.2.0.Final-redhat-1
[Host Controller] 09:51:44,626 INFO  [org.jboss.msc] (main) JBoss MSC version 1.0.4.GA-redhat-1
[Host Controller] 09:51:44,680 INFO  [org.jboss.as] (MSC service thread 1-7) JBAS015899: JBoss EAP 6.1.0.GA (AS 7.2.0.Final-redhat-7) starting
[Host Controller] 09:51:45,053 INFO  [org.xnio] (MSC service thread 1-3) XNIO Version 3.0.7.GA-redhat-1
[Host Controller] 09:51:45,060 INFO  [org.xnio.nio] (MSC service thread 1-3) XNIO NIO Implementation Version 3.0.7.GA-redhat-1
[Host Controller] 09:51:45,069 INFO  [org.jboss.remoting] (MSC service thread 1-3) JBoss Remoting version 3.2.16.GA-redhat-1
[Host Controller] 09:51:45,114 INFO  [org.jboss.as.remoting] (MSC service thread 1-4) JBAS017100: Listening on 127.0.0.1:9999
[Host Controller] 09:51:46,369 ERROR [org.jboss.as.host.controller] (Controller Boot Thread) JBAS010901: Could not connect to master. Aborting. Error was: java.io.IOException: 1-$-JBAS014893: Transforming resource [
[Host Controller]     ("profile" => "default"),
[Host Controller]     ("subsystem" => "ejb3")
[Host Controller] ] for host controller 'dhcp-4-200.brq.redhat.com' to subsystem 'ejb3' model version '1.1.0' --there were problems with some of the attributes and this resource will need to be ignored on that host. Details of problems: [JBAS014235: default-security-domain was defined, JBAS014236: default-missing-method-permissions-deny-access was set to true]
[Host Controller] 09:51:46,390 INFO  [org.jboss.as] (MSC service thread 1-2) JBAS015950: JBoss EAP 6.1.0.GA (AS 7.2.0.Final-redhat-7) stopped in 10ms
09:51:46,713 INFO  [org.jboss.as.process.Host Controller.status] (reaper for Host Controller) JBAS012010: Process 'Host Controller' finished with an exit status of 99
09:51:46,716 INFO  [org.jboss.as.process] (Thread-8) JBAS012016: Shutting down process controller
09:51:46,717 INFO  [org.jboss.as.process] (Thread-8) JBAS012015: All processes finished; exiting
Comment 4 Petr Kremensky 2013-05-10 02:53:28 EDT
Verified on EAP 6.1.0 ER8, domain mode is working as expected.

Note You need to log in before you can comment on or make changes to this bug.